Bug 238861 - www/mattermost-webapp www/mattermost-server: Update to 5.12.3
Summary: www/mattermost-webapp www/mattermost-server: Update to 5.12.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-28 10:04 UTC by Raúl
Modified: 2019-07-15 15:43 UTC (History)
3 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
proposed patch (2.58 KB, patch)
2019-06-28 10:04 UTC, Raúl
no flags Details | Diff
portmaster log (2.24 KB, text/plain)
2019-06-28 10:07 UTC, Raúl
no flags Details
proposed patch (9.56 KB, patch)
2019-07-04 08:26 UTC, Raúl
no flags Details | Diff
portmaster log (6.22 KB, application/octet-stream)
2019-07-04 08:27 UTC, Raúl
no flags Details
proposed patch (9.56 KB, patch)
2019-07-09 17:13 UTC, Raúl
no flags Details | Diff
portmaster log (6.22 KB, application/octet-stream)
2019-07-09 17:14 UTC, Raúl
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Raúl 2019-06-28 10:04:01 UTC
Created attachment 205393 [details]
proposed patch
Comment 1 Raúl 2019-06-28 10:07:27 UTC
Created attachment 205394 [details]
portmaster log
Comment 2 Raúl 2019-06-28 10:23:33 UTC
Changelog (https://docs.mattermost.com/administration/changelog.html)

[....]
Fixing an issue where messages may be missing after reconnecting the network. MM-16423
Fixing an issue where the client may sometimes crash while viewing a direct message channel. MM-16480
Fixing an issue where Net Promoter Score (NPS) prints an error message in server logs when Error and Diagnostics Reporting is disabled. MM-16465
Fixing an issue where Net Promoter Score (NPS) telemetry reporting surveys are disabled if the setting has not been modified. MM-16554
[....]

MM-16480 happens often here.
Thanks in advance.
Comment 3 Raúl 2019-07-04 08:25:20 UTC
New 5.12.2 released:

[....]
v5.12.2, released 2019-07-03

    Fixed an issue where Net Promoter Score (NPS) went into a loop when Experimental Enable Automatic Replies feature was turned on in Account Settings.
[....]
Comment 4 Raúl 2019-07-04 08:26:56 UTC
Created attachment 205518 [details]
proposed patch
Comment 5 Raúl 2019-07-04 08:27:54 UTC
Created attachment 205519 [details]
portmaster log
Comment 6 Raúl 2019-07-09 17:13:59 UTC
Created attachment 205605 [details]
proposed patch
Comment 7 Raúl 2019-07-09 17:14:49 UTC
Created attachment 205606 [details]
portmaster log
Comment 8 Raúl 2019-07-09 17:17:03 UTC
5.12.3 changelog:

[....]
v5.12.3, released 2019-07-09

    Fixed an issue where setting the MM_SQLSETTINGS_DATASOURCEREPLICAS environment variable broke the server startup. MM-16719
[....]
Comment 9 loic.blot 2019-07-13 10:02:34 UTC
okay for me
Comment 10 commit-hook freebsd_committer 2019-07-15 15:41:58 UTC
A commit references this bug:

Author: swills
Date: Mon Jul 15 15:41:52 UTC 2019
New revision: 506670
URL: https://svnweb.freebsd.org/changeset/ports/506670

Log:
  www/mattermost-webapp www/mattermost-server: Update to 5.12.3

  PR:		238861
  Submitted by:	Ra?l <raul.munoz@custos.es>
  Approved by:	loic.blot@unix-experience.fr (maintainer)

Changes:
  head/www/mattermost-server/Makefile
  head/www/mattermost-server/distinfo
  head/www/mattermost-webapp/Makefile
  head/www/mattermost-webapp/distinfo
  head/www/mattermost-webapp/pkg-plist
Comment 11 Steve Wills freebsd_committer 2019-07-15 15:43:10 UTC
Committed, thanks!